# $Id: perl-Date-Tolkien-Shire.spec 7981 2009-11-03 03:05:34Z dag $
# Authority: dries
# Upstream: Tom Braun <tbraun$pobox,com>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Date-Tolkien-Shire

Summary: Tolkien dates
Name: perl-Date-Tolkien-Shire
Version: 1.21
Release: 3%{?dist}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Date-Tolkien-Shire/

# Packager: Dries Verachtert <dries@ulyssis.org>
# Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/Date/Date-Tolkien-Shire-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
This is an object-oriented module to convert dates into
the Shire Calender as presented in the Lord of the Rings
by J. R. R. Tolkien.  It includes converting epoch time to
the Shire Calendar (you can also get epoch time back),
comparison operators, and a method to print a formatted
string containing that does something to the effect of on
this date in history -- pulling events from the Lord of
the Rings.

The biggest use I can see in this thing is in a startup
script or possible to keep yourself entertained in an
otherwise boring app that includes a date.  If you have
any other ideas/suggestions/uses, etc., please let me
know.  I am curious to see how this gets used (if it gets
used that is).

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/Date/Tolkien/Shire.pm

%changelog
* Sun Feb 26 2017 J. Randall Owens <jrowens@ghiapet.net> - 1.21-3
- update to version 1.21

* Wed Aug 21 2013 J. Randall Owens <jrowens@rs3.ghiapet.net> - 1.13-2
- comment out Packager & Vendor

* Fri Jun  2 2006 Dries Verachtert <dries@ulyssis.org> - 1.13-1 - 7981/dag
- Updated to release 1.13.

* Wed Mar 22 2006 Dries Verachtert <dries@ulyssis.org> - 1.12-1.2
- Rebuild for Fedora Core 5.

* Sat Apr  9 2005 Dries Verachtert <dries@ulyssis.org> - 1.12-1
- Initial package.
